
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; support DSSSL-style keywords

;; Compiled macros don't support the hidden let-syntax in a macro
;; definition trick, so we still need to load this (had issues passing
;; it to EVAL at load-time in the compiled code, and was feeling lazy,
;; and this works).

(define-syntax lambda
  (let-syntax ((*lambda lambda))
    (er-macro-transformer
     (lambda (form rename compare)
       (receive (standard-bvl body)
           (##sys#ria-expand-extended-lambda-list
            (cadr form)
            (cddr form)
            ##sys#syntax-error-hook)
         `(,(rename '*lambda) ,standard-bvl ,@body))))))
